import 'phaser';

var config = {
    type: Phaser.AUTO,
    parent: 'phaser-example',
    width: 800,
    height: 600,
    scene: {
        preload: preload,
        create: create,
        update: update,
    }
};

var game = new Phaser.Game(config);
var logo

function preload (){
    this.load.image("tiles", "../assets/assets.png")
    this.load.tilemapTiledJSON("map", "../assets/level1.json")
    this.load.image("background", "../assets/water.png")
}

function create (){
    const map = this.make.tilemap({ key: "map" })
    const tileset = map.addTilesetImage( "assets", "tiles")

    //Background
    this.add.image(600, 300, "background")

    //Layers
    const lowerLayer = map.createStaticLayer("LowerGround", tileset, 0, 0)
    const groundLayer = map.createStaticLayer("Ground", tileset, 0, 0)
    const grassLayer = map.createStaticLayer("Grass", tileset, 0, 0)
    const worldLayer = map.createStaticLayer("World", tileset, 0, 0)
    const highLayer = map.createStaticLayer("High", tileset, 0, 0)

}

function update(){

}